Package org.eclipse.emf.cdo.net4j

## Class CDONet4jUtil

- java.lang.Object
- - org.eclipse.emf.cdo.net4j.CDONet4jUtil

-     public final class CDONet4jUtil
      extends java.lang.Object

  Various static methods that may help with Net4j-specific CDO `sessions`.
  Since:
    2.0
  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `PROTOCOL_JVM` |
    `static java.lang.String` | `PROTOCOL_SSL` |
    `static java.lang.String` | `PROTOCOL_TCP` |
    `static java.lang.String` | `PROTOCOL_WS` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static FailoverCDOSessionConfiguration` | `createFailoverSessionConfiguration​(java.lang.String monitorConnectorDescription, java.lang.String repositoryGroup)` |
    `static FailoverCDOSessionConfiguration` | `createFailoverSessionConfiguration​(java.lang.String monitorConnectorDescription, java.lang.String repositoryGroup, org.eclipse.net4j.util.container.IManagedContainer container)` |
    `static CDONet4jSessionConfiguration` | `createNet4jSessionConfiguration()` |
    `static ReconnectingCDOSessionConfiguration` | `createReconnectingSessionConfiguration​(java.lang.String hostAndPort, java.lang.String repoName, org.eclipse.net4j.util.container.IManagedContainer container)` |
    `static CDOSessionConfiguration` | `createSessionConfiguration()` | Deprecated. Use `createNet4jSessionConfiguration()`.
    `static CDONet4jSession` | `getNet4jSession​(org.eclipse.net4j.util.container.IManagedContainer container, java.lang.String description)` |
    `static CDOSession` | `getSession​(org.eclipse.net4j.util.container.IManagedContainer container, java.lang.String description)` | Deprecated. Use `getNet4jSession()`.
    `static void` | `prepareContainer​(org.eclipse.net4j.util.container.IManagedContainer container)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROTOCOL_JVM

          public static final java.lang.String PROTOCOL_JVM

      Since:
        4.0
      See Also:
        Constant Field Values

    - #### PROTOCOL_TCP

          public static final java.lang.String PROTOCOL_TCP

      Since:
        4.0
      See Also:
        Constant Field Values

    - #### PROTOCOL_SSL

          public static final java.lang.String PROTOCOL_SSL

      Since:
        4.0
      See Also:
        Constant Field Values

    - #### PROTOCOL_WS

          public static final java.lang.String PROTOCOL_WS

      Since:
        4.3
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### createNet4jSessionConfiguration

          public static CDONet4jSessionConfiguration createNet4jSessionConfiguration()

      Since:
        4.1

    - #### createSessionConfiguration

          @Deprecated
          public static CDOSessionConfiguration createSessionConfiguration()

      Deprecated.
      Use `createNet4jSessionConfiguration()`.

    - #### createReconnectingSessionConfiguration

          public static ReconnectingCDOSessionConfiguration createReconnectingSessionConfiguration​(java.lang.String hostAndPort,
                                                                                                   java.lang.String repoName,
                                                                                                   org.eclipse.net4j.util.container.IManagedContainer container)

      Since:
        4.0

    - #### createFailoverSessionConfiguration

          public static FailoverCDOSessionConfiguration createFailoverSessionConfiguration​(java.lang.String monitorConnectorDescription,
                                                                                           java.lang.String repositoryGroup)

      Since:
        4.0

    - #### createFailoverSessionConfiguration

          public static FailoverCDOSessionConfiguration createFailoverSessionConfiguration​(java.lang.String monitorConnectorDescription,
                                                                                           java.lang.String repositoryGroup,
                                                                                           org.eclipse.net4j.util.container.IManagedContainer container)

      Since:
        4.0

    - #### prepareContainer

          public static void prepareContainer​(org.eclipse.net4j.util.container.IManagedContainer container)

    - #### getNet4jSession

          public static CDONet4jSession getNet4jSession​(org.eclipse.net4j.util.container.IManagedContainer container,
                                                        java.lang.String description)

      Since:
        4.1

    - #### getSession

          @Deprecated
          public static CDOSession getSession​(org.eclipse.net4j.util.container.IManagedContainer container,
                                              java.lang.String description)

      Deprecated.
      Use `getNet4jSession()`.
      Since:
        4.0